# $Revision: 1.29 $, $Date: 2004/08/25 22:14:44 $
Summary:	X Window Programming Environment
Summary(de):	X-Window-Programmierumgebung
Summary(es):	Ambiente de programacin X Window
Summary(fr):	Environnement de programmation X Window
Summary(pl):	rodowisko programistyczne pod X Window
Summary(pt_BR):	Ambiente de programao X Window
Summary(ru):	   X Window
Summary(tr):	X Window program gelitirme ortam
Summary(uk):	  Ц X Window
Name:		xwpe
Version:	1.5.29a
Release:	5
License:	GPL
Group:		Development/Tools
Source0:	http://www.identicalsoftware.com/xwpe/%{name}-%{version}.tar.gz
# Source0-md5: fa529db0a3f1cc5ac35ff0cc7bb3f588
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-dynamic.patch
URL:		http://www.identicalsoftware.com/xwpe/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XWPE is actually a package of four programs: we, wpe, xwe, and xwpe.
They are different versions of the same basic programmers editor and
development environment. If you have used some of the Microsoft
Windows programming IDE's and longed for an X Window equivalent, this
is what you have been looking for! Also included are the text-mode
equivalents of the X programs, enabling you to use xwpe no matter what
your development environment may be.

%description -l de
XWPE sind eigentlich 4 Programme: we, wpe, xwe und xwpe. Dies sind
verschiedene Versionen desselben elementaren Programmeditors und
derselben Entwicklungsumgebung. Wenn Sie bereits mit manchen der
Micro$oft-Windows-Programmier-IDEs gearbeitet und sich nach einem X-
Window-quivalent gesehnt haben, dann ist das hier die Lsung fr
Sie! Ebenfalls eingeschlossen sind die Textmodus-quivalente der
X-Programme, so da Sie xwpe benutzen knnen, unabhngig davon, in
welcher Entwicklungsumgebung sie arbeiten.

%description -l es
XWPE es en realidad un paquete de 4 programas: we, wpe, xwe, y xwpe.
Son diferentes versiones del mismo ambiente de desarrollo y editor de
programacin. Si has usado algn de los ambientes de programacin del
Microsoft Windows y quieres algo equivalente en el X, acabas de
encontrar lo que buscabas. Tambin se incluyen las versiones en modo
texto de los programas, dejando que usen el xwpe no importando el tipo
de ambiente de desarrollo que tengas. Este paquete incluye las
bibliotecas bsicas del xwpe y los programas en modo texto; los
programas para X estn en el paquete 'xwpe-X11'.

%description -l fr
xwpe is un paquetage de quatre programmes : we, wpe, xwe et xwpe. Ce
sont des versions diffrentes du mme diteur et environnement de
dveloppement. Si vous avez dj utilis les environnements de
programmation de Micro$oft Windows et que vous recherchiez un
quivalent sous X, vous l'avez trouv ! Il y a aussi les quivalents
en mode texte des programmes X, ce qui vous permet d'utiliser xwpe
quel que soit votre environnement de dveloppement.

%description -l pl
XWPE waciwie skada si z czterech programw: we, wpe, xwe i xwpe.
S to rne wersje tego samego podstawowego edytora programisty i
rodowiska. Jeeli uywae jakiego zintegrowanego rodowiska
programistycznego pod MS Windows i szukasz odpowiednika pod X Window,
to jest to! Zaczone s take tekstowe odpowiedniki programw pod X,
pozwalajce uywa xwpe w kadym rodowisku.

%description -l pt_BR
O XWPE  na verdade um pacote de 4 programas: we, wpe, xwe, e xwpe.
Eles so diferentes verses do mesmo ambiente de desenvolvimento e
editor de programao. Se voc usou algum dos ambientes de programao
do Microsoft Windows e quer algo equivalente no X, voc achou o que
estava procurando! Tambm esto includos as verses em modo texto dos
programas, deixando vocs usar o xwpe no importando o tipo de
ambiente de desenvolvimento que tenha. Este pacote inclui as
bibliotecas bsicas do xwpe e os programas em modo texto; os programas
para X esto no pacote 'xwpe-X11'.

%description -l ru
XWPE      : we, wpe, xwe 
xwpe.           .
    -    Micro$oft Windows 
 -   X Window,   -  . 
     X, 
 xwpe   .

%description -l tr
XWPE, Microsoft Windows'da bulunan benzerleri gibi, bir metin
dzenleyici ve tmleik bir gelitirme ortam sunan bir yazlmdr. Bu
pakettekiler metin ekranda alan srmleri bulundurmaktadr.

%description -l uk
XWPE -     : we, wpe, xwe  xwpe.  ҦΦ
Ӧ        .  
     Ц Micro$oft Windows  
  Ц X Window,    -  .  Φ
צ צ   X,    xwpe
 - ݦ.

%package X11
Summary:	X Window Programming Environment - X11 programs
Summary(es):	Ambiente de Programacin X Window - Programas X11
Summary(pl):	XWPE - programy pod X11
Summary(pt_BR):	Ambiente de Programao X Window - Programas X11
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description X11
Includes the 'xwpe' and 'xwe' programs from the xwpe package that are
specific to X Window System.

%description X11 -l de
Beinhaltet die 'xwpe'- und 'xwe'-Programme aus dem xwpe-Paket, die
X-Window-spezifisch sind.

%description X11 -l es
Incluye los programas 'xwpe' y 'xwe' del paquete xwpe que son
especficos para X Window.

%description X11 -l pl
Pakiet zawiera programy xwpe i xwe ze rodowiska xwpe - specyficzne
dla X Window System.

%description X11 -l pt_BR
Inclui os programas 'xwpe' e 'xwe' do pacote xwpe que so especficos
para X Window.

%description X11 -l tr
X Window altnda alan tmleik gelitirme ortam yazlmlar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
CFLAGS="-I/usr/include/ncurses %{rpmcflags}"
%configure
%{__make} xwpe libxwpe-x11.so libxwpe-term.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%attr(755,root,root) %{_bindir}/we
%attr(755,root,root) %{_bindir}/wpe
%dir %{_libdir}/xwpe
%{_libdir}/xwpe/help.key
%{_libdir}/xwpe/help.xwpe
%{_libdir}/xwpe/syntax_def
%attr(755,root,root) %{_libdir}/xwpe/libxwpe-term.so
%{_mandir}/man1/wpe.1*
%{_mandir}/man1/we.1*
%{_mandir}/man1/xwpe.1*
%{_mandir}/man1/xwe.1*
%lang(de) %{_mandir}/de/man1/xwpe.1*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xwe
%attr(755,root,root) %{_bindir}/xwpe
%attr(755,root,root) %{_libdir}/xwpe/libxwpe-x11.so
%{_desktopdir}/xwpe.desktop
%{_pixmapsdir}/xwpe.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xwpe.spec,v $
Revision 1.29  2004/08/25 22:14:44  domelu
- rel. 5 to rebuild

Revision 1.28  2003/12/30 12:33:21  qboosh
- fixed DESTDIR patch for default build type
- added dynamic patch - now main package doesn't depend on X and modules are used
- release 4

Revision 1.27  2003/12/30 03:15:04  undefine
- release 3 to rebuild with ac

Revision 1.26  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.25  2003/09/26 21:49:01  adgor
- Desktop file moved to %%{_desktopdir}

Revision 1.24  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.23  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 06:28:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/11/21 22:05:07  ankry
- added icon from
  http://www.linuks.mine.nu/icons/one/openstepicons-1.1.tar.gz
- release 2

Revision 1.20  2002/06/30 15:02:26  kloczek
- updated to 1.5.29a (many bug fixes),
- use new %doc,
- merge translations from Conectiva and KSI,
- removed included in current version i18n patch.

Revision 1.19  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/03/23 13:59:34  kloczek
- release 3.

Revision 1.17  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/11 14:52:36  qboosh
- pl translations, BuildRequires: autoconf

Revision 1.13  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/02/25 05:16:39  kloczek
- release 2: merge Conectiva patch with i18n Xlib support.

Revision 1.11  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2001/01/05 04:53:19  kloczek
- updated to 1.5.26a.

Revision 1.9  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.8  2000/12/22 02:32:28  kloczek
- updated to 1.5.25a,
- removed outdated copyfix patch.

Revision 1.7  2000/11/06 12:11:11  kloczek
- merge old BeroLinux de, fr, tr translations,
- added desktop file for xwpe,
- added DESTDIR style %install (added DESTDIR patch),
- added Buildrequires rules,
- make spec %%{debug} ready and added using new rpm automation.

Revision 1.6  2000/10/28 16:00:53  baggins
- updated to 1.5.24a

Revision 1.5  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:10  kloczek
- adapter(ized) and partialy rewrited.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.12a.

* Thu Aug 20 1998 Jeff Johnson <jbj!redhat.com>
- update to 1.5.11a.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.10a.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.9a.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source and patch urls
- added URL tag

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
